Subject: [P2PSIP] Large messages in RELOAD

From: "Narayanan, Vidya" <[email-masked]>
Date: Tue, 16 Dec 2008 13:05:23 -0800

We have some agreement that large messages should not be routed on the overlay.  However, the current design does not provide an alternative to exchange any large messages.  Granted that for very basic SIP AOR lookups, we don't need this functionality.  But, we are going to need for voicemail and such usages and I think this should be built into the protocol now to avoid needing to hack later.  

Essentially, this calls for the ability to perform directed store messages at a target.  Since the data originator will not know the target node at which the data will be stored ahead of time, it should be possible to indicate in a store request message that the node has a large message to be sent.  In this request, the actual data to be stored will not be included in entirety (some of it may still be included as long as it is within the overlay size bounds).  This request message should potentially also indicate the size of the data that needs to be stored to allow the responder to indicate that it may not be able to accommodate that data.  The response should then return the node id responsible for the corresponding resource id.  An end-to-end connection can then be initiated for the actual data transfer.  It is also possible to piggyback the ICE candidates of both endpoints on this message exchange.  

The exact operation needs to be fleshed out, but, that should give a general idea.  If it makes sense, I can volunteer to propose text. 

A very basic form of this functionality can potentially be achieved using the RouteQuery message, but, I think that will be quite limited in what it can do. 

Thoughts? 

- Vidya
_______________________________________________
P2PSIP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2psip